/**
 * Generates an ECDH key pair for cryptographic operations.
 * Uses the P-256 curve for key generation, which provides 128-bit security level.
 *
 * @returns {Promise<{publicKey: CryptoKey, privateKey: CryptoKey}>} A promise that resolves to an object containing:
 *   - publicKey: The generated public key
 *   - privateKey: The generated private key
 */
export declare const createKeyPair: () => Promise<CryptoKeyPair>;
