/**
 * Generates an HMAC (Hash-based Message Authentication Code) using SHA-256
 *
 * @param keyData - The secret key used for generating the HMAC
 * @param data - The data to be authenticated
 * @returns A hexadecimal string representation of the HMAC
 *
 * @example
 * const hmac = await generateHMAC('secretKey', 'dataToAuthenticate');
 * console.log(hmac); // outputs: "a1b2c3d4..."
 */
export declare const generateHMAC: (keyData: string, data: string) => Promise<string>;
